{
  "name": "imchat",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build:prod": "vue-tsc --noEmit && vite build",
    "build:dev": "vue-tsc --noEmit && vite build --mode development",
    "preview": "vite preview"
  },
  "dependencies": {
    "@tencentcloud/call-uikit-vue": "2.3.2",
    "@tencentcloud/chat": "^3.1.1",
    "@tiptap/core": "^2.0.0-beta.220",
    "@tiptap/extension-document": "^2.0.0-beta.220",
    "@tiptap/extension-image": "^2.0.0-beta.220",
    "@tiptap/extension-mention": "^2.0.0-beta.220",
    "@tiptap/extension-paragraph": "^2.0.0-beta.220",
    "@tiptap/extension-placeholder": "^2.0.0-beta.220",
    "@tiptap/extension-text": "^2.0.0-beta.220",
    "@tiptap/pm": "^2.0.0-beta.220",
    "@tiptap/suggestion": "^2.0.0-beta.220",
    "@tiptap/vue-3": "^2.0.0-beta.220",
    "@vuepic/vue-datepicker": "3.2.1",
    "@vueuse/core": "^8.9.4",
    "clean-deep": "^3.4.0",
    "query-string": "^8.1.0",
    "sass": "^1.64.2",
    "sass-loader": "^10.1.1",
    "tim-profanity-filter-plugin": "^0.9.0",
    "tim-upload-plugin": "^1.0.6",
    "umi-request": "^1.4.0",
    "vue": "^3.3.4",
    "vue-clipboard3": "2.0.0",
    "vue-i18n": "9.2.0-beta.32",
    "vuex": "^4.0.2"
  },
  "devDependencies": {
    "@types/node": "^20.4.5",
    "@vitejs/plugin-vue": "^4.2.3",
    "naive-ui": "^2.34.4",
    "typescript": "^5.0.2",
    "vite": "^4.4.5",
    "vue-tsc": "^1.8.5"
  }
}
